Get Incidents
curl --request GET \
--url https://payout-api.cashfree.com/payout/v1/incidents \
--header 'Authorization: <authorization>'import requests
url = "https://payout-api.cashfree.com/payout/v1/incidents"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://payout-api.cashfree.com/payout/v1/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"subCode": "200",
"message": "List of incidents retrieved",
"data": {
"incidents": [
{
"id": 214711,
"type": "BENEFICIARY",
"entity": "BANK",
"mode": "IMPS",
"createdAt": "2022-01-05T00:48:54.000Z",
"resolvedAt": "2022-01-05T00:53:24.000Z",
"isScheduled": false,
"isResolved": true,
"impact": "LOW",
"entityName": "City union bank",
"entityCode": "CIUB"
}
]
}
}{
"status": "ERROR",
"subCode": "403",
"message": "APIs not enabled. Please fill out the [Support Form](https://telr.cashfree.com/merchants/landing?env=prod&raise_issue=1)"
}{
"status": "ERROR",
"subCode": "422",
"message": "startTime should be less than or equal to EndTime"
}Get Incidents
Use this API to get the list of incidents on banks(Resolved,Unresolved,All) for a given time range.
GET
/
payout
/
v1
/
incidents
Get Incidents
Headers
Bearer auth token
Query Parameters
Incident status - RESOLVED/UNRESOLVED/ALL are the allowed values Default value is UNRESOLVED if not provided
Start Time for the desired period. Format yyyy-mm-dd hh:mm:ss
End Time for the desired period. Format yyyy-mm-dd hh:mm:ss. Default values are current day start Time(00:00:00) and end Time(23:59:59) if not provided.
Code for the entity(BANK) on which the incidents are created.
⌘I
